## cascading.tuple.io
Class IndexTuple

    java.lang.Object
      cascading.tuple.Tuple
          cascading.tuple.io.IndexTuple

All Implemented Interfaces:
  Serializable, Comparable<Object>, Iterable<Object>

    public class IndexTuple

extends Tuple
implements Comparable<Object>

Class IndexTuple allows for managing an int index value with a Tuple instance. Used internally for co-grouping values.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.tuple.Tuple
`elements, isUnmodifiable, NULL`

Constructor Summary
`IndexTuple()` Constructor IndexTuple creates a new IndexTuple instance.
`IndexTuple(int index, Tuple tuple)` Constructor IndexTuple creates a new IndexTuple instance.

Method Summary
`int` `compareTo(IndexTuple indexTuple)`
`int` `compareTo(Object object)` Method compareTo implements the `Comparable.compareTo(Object)` method.
`boolean` `equals(Object object)`
`int` `getIndex()`
`Tuple` `getTuple()`
`int` `hashCode()`
`String` `print()` Method print returns a parsable String representation of this Tuple instance.
`StringBuffer` `printTo(StringBuffer buffer)`
`void` `setIndex(int index)`
`void` `setTuple(Tuple tuple)`
`String` `toString()`

Methods inherited from class cascading.tuple.Tuple

`add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, elements, format, get, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, internalSet, isEmpty, isUnmodifiable, iterator, leave, parse, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexTuple

    public IndexTuple()

  Constructor IndexTuple creates a new IndexTuple instance.

### IndexTuple

    public IndexTuple(int index,
                      Tuple tuple)

  Constructor IndexTuple creates a new IndexTuple instance.

  Parameters:
    `index` - of type int
    `tuple` - of type Tuple

Method Detail

### setIndex

    public void setIndex(int index)

### getIndex

    public int getIndex()

### setTuple

    public void setTuple(Tuple tuple)

### getTuple

    public Tuple getTuple()

### print

    public String print()

  Description copied from class: `Tuple`
  Method print returns a parsable String representation of this Tuple instance.

  Overrides:
    `print` in class `Tuple`
  Returns:
    String

### printTo

    public StringBuffer printTo(StringBuffer buffer)

  Overrides:
    `printTo` in class `Tuple`

### compareTo

    public int compareTo(Object object)

  Description copied from class: `Tuple`
  Method compareTo implements the `Comparable.compareTo(Object)` method.

  Specified by:
    `compareTo` in interface `Comparable<Object>`
  Overrides:
    `compareTo` in class `Tuple`
  Parameters:
    `object` - of type Object
  Returns:
    int

### compareTo

    public int compareTo(IndexTuple indexTuple)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Tuple`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Tuple`

### toString

    public String toString()

  Overrides:
    `toString` in class `Tuple`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.